# EST Test Client

This setup can be used to interact with the OpenSCDP Test-PKI at https://test.pki-as-a-service.net.

The directory libest contains three scripts to

* get a list of CA certificates (cacerts),
* enroll a client (enroll) and
* reenroll a client using the current key and certificate.

The script require the estclient from [libest](https://github.com/cisco/libest). Define the path
to the executable in the ESTCLIENT variable in the script.

An alternative client is contained in the curl directory. That setup used plain curl and
openssl to perform all three operations.

The OpenSCP System CA has been configured to accept any request and automatically create
a subject based on the common name passed in the request. In a real-world setup, the
first enroll will typically require approval of the registration officer.

The EST-Server requires TLS client authentication in any case, even for obtaining CA
certificates. A suitable client key and certificate for enrollment is contained in etc.
